com.smartgwt.client.bean

## Class BeanMethod<BeanClass,ValueType>

- java.lang.Object
- - com.smartgwt.client.bean.BeanMethod<BeanClass,ValueType>

-     public class BeanMethod<BeanClass,ValueType>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanMethod(java.lang.Class<?> valueType, com.google.gwt.core.client.JavaScriptObject getter, com.google.gwt.core.client.JavaScriptObject setter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `protected BeanValueType.Convertability` | `convertabilityToString()`
    `protected java.lang.Object` | `getProperty(BeanClass bean)`
    `protected java.lang.String` | `getPropertyAsString(BeanClass bean)`
    `protected ValueType` | `getPropertyFromBean(BeanClass bean)`
    `protected void` | `setProperty(BeanClass bean, java.lang.Object value)`
    `protected void` | `setPropertyOnBean(BeanClass bean, ValueType value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanMethod

          public BeanMethod(java.lang.Class<?> valueType,
                    com.google.gwt.core.client.JavaScriptObject getter,
                    com.google.gwt.core.client.JavaScriptObject setter)

  - ### Method Detail

    - #### convertabilityFrom

          protected BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

    - #### convertabilityToString

          protected BeanValueType.Convertability convertabilityToString()

    - #### getPropertyFromBean

          protected ValueType getPropertyFromBean(BeanClass bean)

    - #### setPropertyOnBean

          protected void setPropertyOnBean(BeanClass bean,
                               ValueType value)

    - #### getProperty

          protected java.lang.Object getProperty(BeanClass bean)

    - #### getPropertyAsString

          protected java.lang.String getPropertyAsString(BeanClass bean)

    - #### setProperty

          protected void setProperty(BeanClass bean,
                         java.lang.Object value)